#include <QApplication>
#include <QMainWindow>
#include <QStyle>
#include <QLabel>
#include <QVBoxLayout>
#include <QStyle>

#include <QLibraryInfo>
#include<QTextStream>
#include <QDebug>

const char fail_sheet[] = R"(QWidget{
      background-color: rgb(41,58,66);
      color: rgb(240,240,240);
      font-family: url(:/font/Lato-Light.ttf);
      font-size: 18px;
  }
)";

const char ok_sheet[] = R"(QWidget{
      background-color: rgb(41,58,66);
      color: rgb(240,240,240);
      font-family: Arial;
      font-size: 18px;
  }
)";

static bool optOkSheet = false;

static QString title()
{
    return QLatin1String(qVersion()) + QLatin1Char(' ') + QGuiApplication::platformName()
        + QLatin1Char(' ') + QApplication::style()->objectName();
}

class MainWindow : public QMainWindow
{
public:
   MainWindow(QWidget *parent = nullptr);
};

MainWindow::MainWindow(QWidget *parent)
   : QMainWindow(parent)
{
   auto cw = new QWidget;
   setCentralWidget(cw);
   auto clt = new QVBoxLayout(cw);

   auto sheet = optOkSheet ? ok_sheet : fail_sheet;

   qDebug().noquote() << __FUNCTION__  << sheet;

   auto label = new QLabel(title(), cw);
   label->setFrameShape(QFrame::Box);
   clt->addWidget(label);
   clt->addStretch();

   cw->setStyleSheet(sheet);
}


int main(int argc, char *argv[])
{
   QApplication a(argc, argv);
   QStringList args = a.arguments();
   args.pop_front();
   optOkSheet = args.contains("-a");


   QString t = title();
   qDebug().noquote() << t;

   MainWindow w;
   w.setWindowTitle(t);

   w.show();
   return a.exec();
}
